> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns list of tenants



## OpenAPI

````yaml get /api/v1/tenants
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/tenants:
    get:
      tags: []
      summary: Returns list of tenants
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantsSchema'
            application/transit+msgpack:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantsSchema'
            application/transit+json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantsSchema'
            application/edn:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TenantsSchema'
components:
  schemas:
    TenantsSchema:
      required:
        - auth
        - name
        - settings
        - status
      type: object
      properties:
        status:
          type: string
        settings:
          $ref: '#/components/schemas/Response701Settings'
        auth:
          $ref: '#/components/schemas/Response701Auth'
        name:
          type: string
      additionalProperties: false
    Response701Settings:
      type: object
      additionalProperties: false
    Response701Auth:
      required:
        - type
        - url
      type: object
      properties:
        url:
          type: string
        type:
          type: string
          nullable: true
          enum:
            - jwks
            - webhook
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````